WebEx Training Center connector

Activities ::: mod_webex
Maintained by Beto Castillo Llaque, Carlos Kiyan Tsunami
Teachers can link meetings and then students can login and participate in those.
Latest release:
5 sites
2 downloads
2 fans
Current versions available: 1

Is pretty easy to use it. You just have to do 2 steps:

  1. Create a Webex resource
  2. Fill your WebEx site, Session Number and Session meeting´s Password

Then All your users after login the moodle site, they will be able to join in the webex activity without write their names, emails or password again.

Screenshots

Screenshot #0
Screenshot #1

Contributors

Beto Castillo Llaque (Lead maintainer)
Carlos Kiyan Tsunami
Please login to view contributors details and/or to contact them

Comments RSS

Show comments
  • David Monteiro
    Wed, Jan 16, 2013, 11:50 PM
    Good afternoon everyone, thank you for your contribution. But in my case the plugin did not work because yours is built to the meeting center (which is free for 3 users) but mine is event center. I made some adjustments and get it to work. If anyone needs the modified version I will be happy to help.
  • David Monteiro
    Wed, Jan 16, 2013, 11:51 PM
    Good afternoon everyone, thank you for your contribution. But in my case the plugin did not work because yours is built to the meeting center (which is free for 3 users) but mine is event center. I made some adjustments and get it to work. If anyone needs the modified version I will be happy to help.
  • Beto Castillo Llaque
    Thu, Jan 17, 2013, 12:34 AM
    Hello David, Many thanks for you contribution, you can add a fork in the github and show me your new version or just mention your adjustments, Then If you are agree I can modify this plugin in order to support meeting center and event center by choosing with a combobox one of these options.
  • François Jimenez
    Wed, Jan 23, 2013, 11:05 PM
    I have installed it without issue but i have the same problem as Patrick Hallermann. The url is duplicated and i have tried to write only the name of "mysite" but no chance. It continue not working. Someone can help me please ? Thanks in advance
  • Beto Castillo Llaque
    Thu, Jan 24, 2013, 6:31 AM
    Hello Francois, Could you tell me your Moodle version? besides , Did you try it with all display options (automatic, embed, open, pop-up) ?
  • DeVane Cheney
    Wed, May 1, 2013, 8:19 PM
    When will a version be available for Moodle 2.5?
  • Jhon taylor
    Sat, Nov 16, 2013, 5:10 AM
    I found this video on the Moodle WebEx integration :
  • Irith Herman
    Sun, Mar 2, 2014, 4:46 PM
    Hi
    I installed the plagin on moodle 2.5
    i"m getting to the webex page but I have to write there all my details: name , email, password.
    Irith
  • Mariano Sap
    Thu, Apr 24, 2014, 12:49 AM
    Could someone please give me indications to set this plugin for Events Center. Thanks in advance!
  • Натан Бар
    Thu, Feb 18, 2016, 6:53 PM
    Hello,

    The "WebEx Training Center connector" (mod_webex plugin to Moodle) suddenly stopped to work.

    Instead pass directly to meeting the students move to our webex site and after clicking "Join" they have to fill email, name and password fields.

    The line in browser`s address line shows "Incorrect Format of Data....."

    Our Moodle version is Moodle 2.9+ (Build: 20150604) . We didn`t change anything on Moodle site in the last time.

    Could you help us, please.

    Regards,
    Nathan

  • Натан Бар
    Fri, Feb 19, 2016, 5:31 PM
    The answers I got from Webex:

    Also please share the following changes to the API Development team.
    Please refer to Developer Guide : https://developer.cisco.com/site/tech/communication-collaboration/webex/webex-developer/web-conferencing

    API Changes:
    Require TLS when accessing the WebEx service using WebEx URL APIs:
    This enhancement will not allow any API calls made via an http connection; it will only allow calls made via https (TLS protocol). Please refer to Developer Guide for examples: https://developer.cisco.com/site/tech/communication-collaboration/webex/webex-developer/web-conferencing

    Affected APIs: All URL APIs
    POST only for APIs requiring password - WBS29 and above:
    Cisco will drop support for GET calls for all URL APIs that accept a password as a parameter. Cisco has provided support for HTTP POST method for these URL APIs. Cisco requires you to convert any GET calls to POST based calls for the affected APIs.

    Affected APIs: All URL APIs that accept a password as a parameter.
  • Matteo Innocenti
    Tue, Mar 7, 2017, 11:38 PM
    Hello, it is possible to install the plugin in Moodle 2.7? Thank you, best regards
  • Carlos Kiyan Tsunami
    Thu, Mar 9, 2017, 4:12 PM
    hello Natan and Matteo
    I do apologize, i just read your messages. the issue is that we have stopped to develop the plugin since moodle 2.4. We thought that there was no need for further development due to a release of a similar plugin at the community. https://moodle.org/plugins/mod_webexactivity
    Thanks for supporting us
  • Eric Breton
    Fri, Apr 12, 2019, 10:45 PM
    Hello, can you tell us if the plugin will support version 3.6 of Moodle in a near future ?
  • Michael Milette
    Tue, Apr 16, 2019, 5:00 AM
    Hi Carlos, I would be interested in seeing a version for Moodle 3.6 as well. The project at https://moodle.org/plugins/mod_webexactivity hasn't been updated in a few versions of Moodle and isn't showing any signs of active development.
1 2 3
Please login to post comments